http_port 8080
cache_dir ufs /squid_cache 1500 16 256 
cache_mem 500 MB
maximum_object_size 40960 KB
minimum_object_size 4 KB
maximum_object_size_in_memory 800 KB
ipcache_size 1024
ipcache_low 90
ipcache_high 95
fqdncache_size 1024
visible_hostname squid
diskd_program /usr/lib/squid/disk-daemon
#--------------------------

#--------------------------
external_acl_type first %LOGIN /first
auth_param basic children 25
auth_param basic realm MOI-PROXY To Change your Password Please visit http://192.168.250.1
auth_param basic program /first
auth_param basic casesensitive off

acl all src 0.0.0.0/0.0.0.0
acl test proxy_auth mahesh
http_access allow test
http_access deny all
logformat squid  |%<st| |%un| |%tl|
access_log /var/log/squid/access.log squid
#log_access allow test
